'reinit'
*
CORDS
*
'open mask.ctl'
'set lon 'lon1' 'lon2''
'set lat 'lat1' 'lat2''
'define mk = mask'
'close 1'
*
'open arcclim.ctl'
'set lon 'lon1' 'lon2''
'set lat 'lat1' 'lat2''
'define clim = mean(r,time=T1,time=T2)'
'define dm = maskout(clim/clim,clim-1)'
'close 1'
*
'open fqdly.ctl'
'set lon 'lon1' 'lon2''
'set lat 'lat1' 'lat2''
'define rdobs = rd_obs'
'define rdclim = rd_clim'
'define rdanom = rd_obs - rd_clim'
'define mcdobs = mcd_obs'
'define mcdclim = mcd_clim'
'define mcdanom = mcd_obs - mcd_clim'
'close 1'
*
*******************************************************************************************************
*** Rain Day Total
*******************************************************************************************************
'open arc.ctl'
'set lon 'lon1' 'lon2''
'set lat 'lat1' 'lat2''
'set gxout shaded'
'set display color white'
'c'
*
'set mproj scaled'
'set vpage 0 8.5 0 11'
'set parea 0.5 8.0 0.9 9.9'
'set xaxis 'lon1' 'lon2' 5'
'set yaxis 'lat1' 'lat2' 5'
'run setcol.gs'
*
'set string 1 tl 12'
'set strsiz 0.12 0.20'
'draw string 0.5 10.75 ARC2 TITLE1 Total Number of Rain Days'
'set strsiz 0.09 0.15'
'draw string 0.5 10.35 Period: TITLE2'
*
*
'set grid off'
'set mpdset hires'
'set map 1 1 10'
'set grads off'
*
*
'set clevs  0'
'set ccols 98 0 '
'd const(dm,-0.5,-u)*mk'
*
'set clevs 0 3 7 10 15 20 30 45 60'
'set ccols 98 0 33 38 42 45 48 51 53 55'
'd maskout(rdobs,mk)*dm'
if ( subwrd(result,1) != "Contouring"); '! echo "We have a problem with: FNAME1_rdobs.gif" >> monitor_error.txt';  endif 
'cbar'
'set strsiz 0.06 0.09'
'draw string 0.88 0.5 Seasonally Dry'
*
  'set line 15 1 2'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_1'
  'set line 1 1 12'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_0b'
*
'printim FNAME1_rdobs.gif x1500 y1500'
'c'
****************************************************
** START: JPG/PNG ***
*'! convert -crop 1500x1500-0-1302 FNAME1_rdobs.gif FNAME1_rdobs.jpg'
'! convert -crop 1500x1500-0-1380 FNAME1_rdobs.gif title.jpg'
'! convert -crop 1500x1500-0+1410 FNAME1_rdobs.gif legend.jpg'
'! convert -append title.jpg legend.jpg FNAME1_rdobs.jpg'
*
  'set parea 0 8.5 0 11'
  'set mpt * off'
  'set frame off' 
  'set xlab off'
  'set ylab off'
  'set grads off'
'set clevs  0'
'set ccols 98 0 '
'd const(dm,-0.5,-u)*mk'
*
'set clevs 0 3 7 10 15 20 30 45 60'
'set ccols 98 0 33 38 42 45 48 51 53 55'
'd maskout(rdobs,mk)*dm'
  'set line 15 1 2'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_1'
  'set line 1 1 12'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_0b'
  'printim FNAME1_rdobs.png x1500 y1500'
  'c'
*
  'set parea 0.5 8.0 0.9 9.9'
  'set mpt * on'
  'set frame on' 
  'set xlab on'
  'set ylab on'
** END: JPG/PNG ***
******************************************************


*******************************************************************************************************
*** Rain Day Anomaly
*******************************************************************************************************
'set lon 'lon1' 'lon2''
'set lat 'lat1' 'lat2''
'set gxout shaded'
'set display color white'
'c'
*
'set mproj scaled'
'set vpage 0 8.5 0 11'
'set parea 0.5 8.0 0.9 9.9'
'set xaxis 'lon1' 'lon2' 5'
'set yaxis 'lat1' 'lat2' 5'
'run setcol.gs'
*
'set string 1 tl 12'
'set strsiz 0.12 0.20'
'draw string 0.5 10.75 ARC2 TITLE1 Total Number of Rain Days Anomaly'
'set strsiz 0.09 0.15'
'draw string 0.5 10.35 Period: TITLE2'
*
*
'set grid off'
'set mpdset hires'
'set map 1 1 10'
'set grads off'
*
*
'set clevs -20 -15 -10 -6 -3 3 6 10 15 20 '
'set ccols 25 22 78 75 72 0 32 35 38 42 45 '
'd maskout(rdanom,mk)*dm'
if ( subwrd(result,1) != "Contouring"); '! echo "We have a problem with: FNAME1_rdanom.gif" >> monitor_error.txt';  endif 
'cbar'
*
  'set line 15 1 2'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_1'
  'set line 1 1 12'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_0b'
*
'printim FNAME1_rdanom.gif x1500 y1500'
'c'
****************************************************
** START: JPG/PNG ***
*'! convert -crop 1500x1500-0-1302 FNAME1_rdanom.gif FNAME1_rdanom.jpg'
'! convert -crop 1500x1500-0-1380 FNAME1_rdanom.gif title.jpg'
'! convert -crop 1500x1500-0+1410 FNAME1_rdanom.gif legend.jpg'
'! convert -append title.jpg legend.jpg FNAME1_rdanom.jpg'
*
  'set parea 0 8.5 0 11'
'set clevs -20 -15 -10 -6 -3 3 6 10 15 20 '
'set ccols 25 22 78 75 72 0 32 35 38 42 45 '
  'set mpt * off'
  'set frame off' 
  'set xlab off'
  'set ylab off'
  'set grads off'
  'd maskout(rdanom,mk)*dm'
  'set line 15 1 2'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_1'
  'set line 1 1 12'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_0b'
  'printim FNAME1_rdanom.png x1500 y1500'
  'c'
*
  'set parea 0.5 8.0 0.9 9.9'
  'set mpt * on'
  'set frame on' 
  'set xlab on'
  'set ylab on'
** END: JPG/PNG ***
******************************************************


*******************************************************************************************************
*** Max Consecutive Number of Dry Days Total
*******************************************************************************************************
'set lon 'lon1' 'lon2''
'set lat 'lat1' 'lat2''
'set gxout shaded'
'set display color white'
'c'
*
'set mproj scaled'
'set vpage 0 8.5 0 11'
'set parea 0.5 8.0 0.9 9.9'
'set xaxis 'lon1' 'lon2' 5'
'set yaxis 'lat1' 'lat2' 5'
'run setcol.gs'
*
'set string 1 tl 12'
'set strsiz 0.12 0.20'
'draw string 0.5 10.75 ARC2 TITLE1 Max Consecutive Number of Dry Days'
'set strsiz 0.09 0.15'
'draw string 0.5 10.35 Period: TITLE2'
*
*
'set grid off'
'set mpdset hires'
'set map 1 1 10'
'set grads off'
*
*
'set clevs  0'
'set ccols 98 0 '
'd const(dm,-0.5,-u)*mk'
*
'set clevs 0 3 7 10 15 20 30 45 60'
'set ccols 98 0 72 75 78 21 23 25 27 29'
'd maskout(mcdobs,mk)*dm'
if ( subwrd(result,1) != "Contouring"); '! echo "We have a problem with: FNAME1_mcdobs.gif" >> monitor_error.txt';  endif 
'cbar'
'set strsiz 0.06 0.09'
'draw string 0.88 0.5 Seasonally Dry'
*
  'set line 15 1 2'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_1'
  'set line 1 1 12'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_0b'
*
'printim FNAME1_mcdobs.gif png x1500 y1500'
'c'
****************************************************
** START: JPG/PNG ***
*'! convert -crop 1500x1500-0-1302 FNAME1_mcdobs.gif FNAME1_mcdobs.jpg'
'! convert -crop 1500x1500-0-1380 FNAME1_mcdobs.gif title.jpg'
'! convert -crop 1500x1500-0+1410 FNAME1_mcdobs.gif legend.jpg'
'! convert -append title.jpg legend.jpg FNAME1_mcdobs.jpg'
*
  'set parea 0 8.5 0 11'
  'set mpt * off'
  'set frame off' 
  'set xlab off'
  'set ylab off'
  'set grads off'
'set clevs  0'
'set ccols 98 0 '
'd const(dm,-0.5,-u)*mk'
*
'set clevs 0 3 7 10 15 20 30 45 60'
'set ccols 98 0 72 75 78 21 23 25 27 29'
'd maskout(mcdobs,mk)*dm'
  'set line 15 1 2'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_1'
  'set line 1 1 12'
  'draw shp /cpc/prod_tst/vkumar/basegis/g2008_0b'
  'printim FNAME1_mcdobs.png png x1500 y1500'
  'c'
*
  'set parea 0.5 8.0 0.9 9.9'
  'set mpt * on'
  'set frame on' 
  'set xlab on'
  'set ylab on'
** END: JPG/PNG ***
******************************************************








'quit'




