#!/bin/csh
######################################################################################################

######################################################################################################
### 1) SET LOCATIONS
######################################################################################################
set SCRIPTS = "/cpc/prod_tst/vkumar/africa_arc_RH6/scripts"
set INPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/input"
set EXE = "/cpc/prod_tst/vkumar/africa_arc_RH6/exe"
set LIB = "/cpc/prod_tst/vkumar/africa_arc_RH6/lib"
set LOG = "/cpc/prod_tst/vkumar/africa_arc_RH6/log"
set TEMP = "/cpc/prod_tst/vkumar/africa_arc_RH6/temp"
set OUTPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/output"
set SOURCE_INPUTS = "/cpc/prod_tst/vkumar/africa_arc_RH6/output/inp"
set GTS = "/cpc/prod_tst/vkumar/ops/monitor/gts_RH6/output/dat"
cd $INPUT

######################################################################################################
### 2) FLUSH WORK & COPY SCRIPTS/.EXE's OVER
######################################################################################################
rm $INPUT/*
cp $SCRIPTS/* $INPUT
cp $EXE/*.exe $INPUT
cp $SCRIPTS/src/* .
#cp $LIB/* $INPUT

######################################################################################################
### 3) GET DATES
######################################################################################################
set Day_Ago = 2
set DAY = `/bin/date --date "$Day_Ago day ago" "+%Y%m%d"`
set GDATE = `/bin/date --date "$Day_Ago day ago" "+%d%b%Y"`
set DD = `date -d "$GDATE" "+%d"`
set MM = `date -d "$GDATE" "+%m"`
set YYYY = `date -d "$GDATE" "+%Y"`
set YY = `date -d "$GDATE" "+%y"`
set JD = `date -d "$GDATE" "+%j"`
echo " " > timecheck.txt
echo " +++ Today" >> timecheck.txt
echo "     Processing for           ::: "$DAY $JD >> timecheck.txt
echo "     Grads Date               ::: "$GDATE >> timecheck.txt
echo "     Number of Days Ago       ::: "$Day_Ago >> timecheck.txt
echo " " >> timecheck.txt


######################################################################################################
### 4) GRAB AFRICA RFE INPUTS & CHECK STATUS
######################################################################################################
echo $YYYY $MM $DD $JD > $INPUT/file_ready_status

# GTS
cp $SOURCE_INPUTS/global_ext_sum_${DAY}_v2.csv  $INPUT/global_ext_sum_${DAY}_v2.csv
cp $SOURCE_INPUTS/global_ext_sum_${DAY}_v2.csv  $INPUT/global_ext_sum_v2.csv
$INPUT/manual_africa_rfe_gts_reformat.sh
ls $INPUT/input_gts.dat
echo $? >>  $INPUT/file_ready_status
# GPI
cp $SOURCE_INPUTS/africa_fc_235.gra.$DAY      $INPUT/input_gpi_235.dat
cp $SOURCE_INPUTS/africa_fc_275.gra.$DAY      $INPUT/input_gpi_275.dat
ls $INPUT/input_gpi_235.dat 
echo $? >>  $INPUT/file_ready_status
ls $INPUT/input_gpi_275.dat 
echo $? >>  $INPUT/file_ready_status

# SSMI and AMSU ABSENT
echo 2 >>  $INPUT/file_ready_status
echo 2 >>  $INPUT/file_ready_status
echo 2 >>  $INPUT/file_ready_status


#############################################################
### 5) CREATE RFE FOR DAY (BIN, SHP & TIF)
#############################################################

# BINARY
$INPUT/arc_step1_rawdata.exe
$INPUT/arc_step2_preproc.exe
$INPUT/arc_step3_merging.exe
$INPUT/arc_step4_postpro.exe
cp $INPUT/all_products_CLIM.bin.$DAY $OUTPUT/bin/daily_clim.bin.$DAY
cp $INPUT/africa_output_CLIM_010.$DAY $OUTPUT/bin/

# SHP & TIF
cp $INPUT/all_products_CLIM.bin.$DAY  $INPUT/africa_arc.GIS
/usr/local/bin/idl $INPUT/create_arc_shp_tif.pro
mv $INPUT/africa_arc.GIS.tif $OUTPUT/tif/africa_arc.$DAY.tif
mv $INPUT/africa_arc.GIS.shp $OUTPUT/shp/africa_arc.$DAY.shp
mv $INPUT/africa_arc.GIS.shx $OUTPUT/shp/africa_arc.$DAY.shx
mv $INPUT/africa_arc.GIS.prj $OUTPUT/shp/africa_arc.$DAY.prj
mv $INPUT/africa_arc.GIS.dbf $OUTPUT/shp/africa_arc.$DAY.dbf

cd $OUTPUT/tif
zip africa_arc.$DAY.tif.zip *$DAY*
rm *.tif

cd $OUTPUT/shp
zip africa_arc.$DAY.shp.zip *$DAY*
rm *.shp
rm *.shx
rm *.prj
rm *.dbf


echo " "
echo "... DAILY RFE BIN, SHP & TIF is COMPLETE."
echo " "

#############################################################
### MONITOR RFE DATA FOR DAY
#############################################################
#csh $INPUT/monitor_do.csh
