#!/bin/csh
######################################################################################################

######################################################################################################
### 1) SET LOCATIONS
######################################################################################################
set SCRIPTS = "/cpc/prod_tst/vkumar/africa_arc_RH6/scripts"
set INPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/input"
set EXE = "/cpc/prod_tst/vkumar/africa_arc_RH6/exe"
set LIB = "/cpc/prod_tst/vkumar/africa_arc_RH6/lib"
set LOG = "/cpc/prod_tst/vkumar/africa_arc_RH6/log"
set TEMP = "/cpc/prod_tst/vkumar/africa_arc_RH6/temp"
set OUTPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/output"
#set SOURCE_GTS = "/cpc/data/operations/cadb/output"
#set SOURCE_GTS = "/cpc/prod_tst/vkumar/africa_arc_RH6/scripts"
set SOURCE_IR = "/cpc/data/cpcsat/mcidas/data/uncalb_ir/met"
set SOURCE_IR = "/cpc/data/observations/land_air/long_range/global/merged_IR/uncalb_ir/met"
#set SOURCE_IR = "/cpc/prod/cpcsat/processes/merged_IR_RH6/output/uncalb/met"alternative link in case the above does not work
cd $INPUT

######################################################################################################
### 2) FLUSH WORK & COPY SCRIPTS/.EXE's OVER
######################################################################################################
rm $INPUT/*
cp $SCRIPTS/* $INPUT
cp $EXE/*.exe $INPUT
#cp $LIB/* $INPUT

######################################################################################################
### 3) GET DATES
######################################################################################################
#   Reprocess many past days and do not forget to uncomment the end also @ Day_Ago = $Day_Ago + 1
#set Day_Ago = 19
#while ( $Day_Ago >= 12 )
######################################################################################################
set Day_Ago = 2
set DAY = `/bin/date --date "$Day_Ago day ago" "+%Y%m%d"`
set GDATE = `/bin/date --date "$Day_Ago day ago" "+%d%b%Y"`
set DD = `date -d "$GDATE" "+%d"`
set MM = `date -d "$GDATE" "+%m"`
set YYYY = `date -d "$GDATE" "+%Y"`
set YY = `date -d "$GDATE" "+%y"`
set JD = `date -d "$GDATE" "+%j"`
echo " " > timecheck.txt
echo " +++ Today" >> timecheck.txt
echo "     Processing for           ::: "$DAY $JD >> timecheck.txt
echo "     Grads Date               ::: "$GDATE >> timecheck.txt
echo "     Number of Days Ago       ::: "$Day_Ago >> timecheck.txt
echo " " >> timecheck.txt

######################################################################################################
### 4) GET GTS
######################################################################################################
#csh template.ncl_edit_reformat_files_csv_2_qzfl-dat.csh
#cp $SOURCE_GTS/qzfl_$DAY.dat $OUTPUT/inp
#cp qzfl_* $OUTPUT/inp
#rm $SCRIPTS/qzfl_*.dat 
################Kumar###################################
cp /cpc/data/observations/land_air/short_range/global/cadb_v2/daily/$YYYY/$MM/global_ext_sum_${DAY}_v2.csv $OUTPUT/inp

######################################################################################################
### 4) GET GPI
######################################################################################################

set T1 = $DAY
set T2 = `date -d "$DAY+ 1 day" "+%Y%m%d"`

echo "...Copying over Raw IR Files..."

cp $SOURCE_IR/meteo1_"$T1"0600.1byte ./#$INPUT
cp $SOURCE_IR/meteo1_"$T1"0900.1byte ./#$INPUT
cp $SOURCE_IR/meteo1_"$T1"1200.1byte ./#$INPUT
cp $SOURCE_IR/meteo1_"$T1"1500.1byte ./#$INPUT
cp $SOURCE_IR/meteo1_"$T1"1800.1byte ./#$INPUT
cp $SOURCE_IR/meteo1_"$T1"2100.1byte ./#$INPUT
cp $SOURCE_IR/meteo1_"$T2"0000.1byte ./#$INPUT
cp $SOURCE_IR/meteo1_"$T2"0300.1byte ./#$INPUT

### Reprocessing in case one data is missing/unavailable
#cp $SOURCE_IR/meteo1_"$T1"0000.1byte $INPUT
#cp $SOURCE_IR/meteo1_"$T1"0300.1byte $INPUT
#cp $SOURCE_IR/meteo1_"$T1"0500.1byte $INPUT
#cp $SOURCE_IR/meteo1_"$T1"2100.1byte $INPUT
#cp $SOURCE_IR/meteo1_"$T1"2300.1byte $INPUT
#cp $SOURCE_IR/meteo1_"$T1"2100.1byte $INPUT
#cp $SOURCE_IR/meteo1_"$T2"0000.1byte $INPUT
#cp $SOURCE_IR/meteo1_"$T2"0300.1byte $INPUT

ls meteo1*.1byte > irfilelist.txt

cp $TEMP/metsat_tbb_05_previous.gra $INPUT
cp $TEMP/metsat_tbb_full.1byte $INPUT
$INPUT/get_gpi_qc.exe
cp $INPUT/metsat_tbb_05_previous.gra $TEMP
cp $INPUT/metsat_tbb_full.1byte $TEMP

echo $T1 > $INPUT/gpidate.txt
$INPUT/get_gpi_fc.exe

mv $INPUT/africa_fc* $OUTPUT/inp

rm $INPUT/meteo1*.1byte
rm $INPUT/metsat_tbb_full.gra*
rm $INPUT/metsat_tbb_05_orig.gra*
rm $INPUT/metsat_tbb_05_qced.gra* 


######################################################################################################
### 5) MONITOR INPUTS FOR DAY
######################################################################################################
#csh $INPUT/monitor_get.csh
#rm qzfl*.dat

#@ Day_Ago = $Day_Ago - 1
