#!/bin/csh
######################################################################################################

######################################################################################################
### 1) SET LOCATIONS
######################################################################################################
alias grads2 /cpc/prod_tst/software/grads/2.0.2/grads
alias calc 'echo "\!:*" | bc -l'
set SCRIPTS = "/cpc/prod_tst/vkumar/africa_arc_RH6/scripts"
set INPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/input"
set EXE = "/cpc/prod_tst/vkumar/africa_arc_RH6/exe"
set LIB = "/cpc/prod_tst/vkumar/africa_arc_RH6/lib"
set LOG = "/cpc/prod_tst/vkumar/africa_arc_RH6/log"
set TEMP = "/cpc/prod_tst/vkumar/africa_arc_RH6/temp"
set OUTPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/output"

set TS_DLY = "/cpc/prod_tst/vkumar/africa_arc_RH6/output/bin"
set TS_CLM = "/cpc/prod_tst/vkumar/africa_arc_RH6/output/bin/clim_dly"
cd $INPUT

######################################################################################################
### 2) FLUSH WORK & COPY SCRIPTS/.EXE's OVER
######################################################################################################
rm $INPUT/*
cp $SCRIPTS/* $INPUT
cp $EXE/*.exe $INPUT
cp $LIB/*.ctl $INPUT
cp $LIB/*.gra $INPUT
cp $LIB/*.txt $INPUT

######################################################################################################
### 3) GET DATES
######################################################################################################
set Day_Ago = 2
set DAY = `/bin/date --date "$Day_Ago day ago" "+%Y%m%d"`
set GDATE = `/bin/date --date "$Day_Ago day ago" "+%d%b%Y"`
set DD = `date -d "$GDATE" "+%d"`
set MM = `date -d "$GDATE" "+%m"`
set YYYY = `date -d "$GDATE" "+%Y"`
set YY = `date -d "$GDATE" "+%y"`
set JD = `date -d "$GDATE" "+%j"`
echo " " > timecheck.txt
echo " +++ Today" >> timecheck.txt
echo "     Processing for           ::: "$DAY $JD >> timecheck.txt
echo "     Grads Date               ::: "$GDATE >> timecheck.txt
echo "     Number of Days Ago       ::: "$Day_Ago >> timecheck.txt
echo " " >> timecheck.txt

######################################################################################################
### 4) PRODUCE
######################################################################################################
set prod = "africa_arc"





#################################################################################################################
### Day by Day (prod_dxd) 
#################################################################################################################
set type = "dxd"
set ind = 1
foreach peri ( 0 1 2 3 4 5 6 )
  set lab = day-"$ind" 
  set STDAY1 = `date -d "$GDATE - $peri day" "+%d%b%Y"`
  set ENDAY1 = `date -d "$GDATE - $peri day" "+%d%b%Y"` 
##################  Added Northern Africa Alima Diawara #################
  foreach reg (af na ea wa sa ca)  
    if ( $reg == af ) then
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=-40; lat2=40/" base_"$prod"_"$type".gs > temp1.gs
    endif
#####################################
    if ( $reg == na ) then
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=0; lat2=40/" base_"$prod"_"$type".gs > temp1.gs
    endif
#####################################
    if ( $reg == ea ) then 
      sed "s/CORDS.*/lon1=25; lon2=52; lat1=-12; lat2=18/" base_"$prod"_"$type".gs > temp1.gs
    endif	
#####################################
    if ( $reg == wa ) then 
      sed "s/CORDS.*/lon1=-20; lon2=30; lat1=0; lat2=40/" base_"$prod"_"$type".gs > temp1.gs
    endif 
#####################################
    if ( $reg == sa ) then 
      sed "s/CORDS.*/lon1=10; lon2=55; lat1=-37; lat2=3/" base_"$prod"_"$type".gs > temp1.gs
    endif   
#####################################
    if ( $reg == ca ) then 
      sed "s/CORDS.*/lon1=0; lon2=35; lat1=-20; lat2=25/" base_"$prod"_"$type".gs > temp1.gs
    endif   

    sed "s/T1/$STDAY1/" temp1.gs > temp2.gs
    sed "s/T2/$ENDAY1/" temp2.gs > temp3.gs
    sed "s/TITLE/$ENDAY1/" temp3.gs > temp4.gs  
    sed "s/FNAME1/"$prod"_"$lab"_"$reg"/g" temp4.gs > "$prod"_"$lab"_"$reg".gs 
    grads2 -pbc "$prod"_"$lab"_"$reg".gs  
    echo $STDAY1 $ENDAY1
#exit 
 end
 @ ind = $ind + 1
end 

#################################################################################################################
### Week1+2 (prod_out)
#################################################################################################################
set type = "out"
set ind = 1
#foreach peri ( 8 15 22 29 )
foreach peri ( 8 15 )
  @ st = $peri - 6
  set lab = week"$ind" 
  set STDAY1 = `date -d "$GDATE + $st day" "+%d%b%Y"`
  set ENDAY1 = `date -d "$GDATE + $peri day" "+%d%b%Y"`
##################  Added Northern Africa Alima Diawara #################
  foreach reg ( na ea wa sa af ca )
    if ( $reg == na ) then
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=0; lat2=40/" base_"$prod"_"$type".gs > temp1.gs
    endif
    if ( $reg == ea ) then 
      sed "s/CORDS.*/lon1=25; lon2=52; lat1=-12; lat2=18/" base_"$prod"_"$type".gs > temp1.gs
    endif	
    if ( $reg == wa ) then 
      sed "s/CORDS.*/lon1=-20; lon2=30; lat1=0; lat2=40/" base_"$prod"_"$type".gs > temp1.gs
    endif 
    if ( $reg == sa ) then 
      sed "s/CORDS.*/lon1=10; lon2=55; lat1=-37; lat2=3/" base_"$prod"_"$type".gs > temp1.gs
    endif   
    if ( $reg == af ) then 
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=-40; lat2=40/" base_"$prod"_"$type".gs > temp1.gs
    endif     
    if ( $reg == ca ) then 
      sed "s/CORDS.*/lon1=0; lon2=35; lat1=-20; lat2=25/" base_"$prod"_"$type".gs > temp1.gs
    endif     
    sed "s/T1/$STDAY1/" temp1.gs > temp2.gs
    sed "s/T2/$ENDAY1/" temp2.gs > temp3.gs
    sed "s/TITLE/$lab/" temp3.gs > temp4.gs    
    sed "s/FNAME1/"$prod"_"$lab"_"$reg"/g" temp4.gs > "$prod"_"$lab"_"$reg".gs 
    grads2 -pbc "$prod"_"$lab"_"$reg".gs 
  end
  @ ind = $ind + 1 
end 


#################################################################################################################
### RMS TimeScales 1 
#################################################################################################################
set type = "rms"

foreach peri ( 7day 10day 1mon 2mon 3mon 180day )
  set lab = `echo $peri`
  
  if ( $peri == 7day ) then
      set lab1 = "7-Day"
      set STDAY1 = `date -d "$GDATE - 6 day" "+%d%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
      echo $lab "::" $STDAY1-$ENDAY1       
  endif
  if ( $peri == 10day ) then
      set lab1 = "10-Day"
      set STDAY1 = `date -d "$GDATE - 9 day" "+%d%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
      echo $lab "::" $STDAY1-$ENDAY1  
  endif 
    
  if ( $peri == 1mon ) then 
      set lab1 = "1-Month"  
      set STDAY1 = `date -d "$GDATE - $DD day + 1 day - 0 month"  "+01%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
	echo $lab "::" $STDAY1-$ENDAY1 
  endif   
  if ( $peri == 2mon ) then 
      set lab1 = "2-Month"    
      set STDAY1 = `date -d "$GDATE - $DD day + 1 day - 1 month"  "+01%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
	echo $lab "::" $STDAY1-$ENDAY1  
  endif 
  if ( $peri == 3mon ) then 
      set lab1 = "3-Month"    
      set STDAY1 = `date -d "$GDATE - $DD day + 1 day - 2 month"  "+01%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
	echo $lab "::" $STDAY1-$ENDAY1 
  endif   
  if ( $peri == 180day ) then
      set lab1 = "180-Day"  
      set STDAY1 = `date -d "$GDATE - 179 day" "+%d%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
      echo $lab "::" $STDAY1-$ENDAY1   
  endif 

##################  Added Northern Africa Alima Diawara #################    
  foreach reg ( na ea wa sa af ca )
    if ( $reg == na ) then
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=0; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif
    if ( $reg == ea ) then 
      sed "s/CORDS.*/lon1=25; lon2=52; lat1=-12; lat2=18/" base_"$prod"_"$type"1.gs > temp1.gs
    endif	
    if ( $reg == wa ) then 
      sed "s/CORDS.*/lon1=-20; lon2=30; lat1=0; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif 
    if ( $reg == sa ) then 
      sed "s/CORDS.*/lon1=10; lon2=55; lat1=-37; lat2=3/" base_"$prod"_"$type"1.gs > temp1.gs
    endif   
    if ( $reg == af ) then 
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=-40; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif  
    if ( $reg == ca ) then 
      sed "s/CORDS.*/lon1=0; lon2=35; lat1=-20; lat2=25/" base_"$prod"_"$type"1.gs > temp1.gs
    endif  
    sed "s/T1/$STDAY1/" temp1.gs > temp2.gs
    sed "s/T2/$ENDAY1/" temp2.gs > temp3.gs
    sed "s/TITLE1/$lab1/" temp3.gs > temp4.gs    
    sed "s/TITLE2/$STDAY1 - $ENDAY1/" temp4.gs > temp5.gs  
    sed "s/FNAME1/"$prod"_"$lab"_"$reg"/g" temp5.gs > "$prod"_"$lab"_"$reg".gs 
    grads2 -pbc "$prod"_"$lab"_"$reg".gs  
    
    ### FOR ARCHIVING (monthly/seasonal (rms) products ONLY) 
    if ( `echo $lab | awk '{print index($0,"mon")}'` > 0 ) then
      foreach anal ( obs clim anom pnorm ) 
        set AST = `echo $STDAY1 | cut -c3-9`
        set AEN = `echo $ENDAY1 | cut -c3-9`	
        cp "$prod"_"$lab"_"$reg"_"$anal".gif "$prod"_"$AST"-"$AEN"_"$reg"_"$anal".gif
	end  
    endif	    
  end
  
  if ( $peri == 180day ) then
    ### PREP FOR TIME SERIES
    rm $INPUT/acc_*
    set sdate = `date -d $STDAY1 "+%Y%m%d"`
    set fdate = `date -d $ENDAY1 "+%Y%m%d"`
    while ( $sdate <= $fdate) 
      set cdate = `date -d $sdate "+%m%d"`
      ls $TS_DLY/daily_clim.bin.$sdate >> acc_dlylist
      ls $TS_CLM/clim_dly.$cdate >> acc_clmlist    
      set sdate = `date -d "$sdate + 1 day" "+%Y%m%d"`
    end
    wc -l acc_clmlist | cut -d' ' -f1 > acc_ndays
    set ndays = `wc -l acc_clmlist | cut -d' ' -f1`
    $INPUT/acc.exe 
    sed "s/TS.*/TDEF $ndays LINEAR $STDAY1 1dy /" base_acc_dly.ctl > acc_dly.ctl  
    sed "s/TS.*/TDEF $ndays LINEAR $STDAY1 1dy /" base_acc_clm.ctl > acc_clm.ctl   

    # POINT TIME SERIES
    sed "s/TST/$STDAY1/" base_"$prod"_ptts.gs > temp1.gs
    sed "s/TF/$ENDAY1/" temp1.gs > temp2.gs 
    sed "s/LAB/$lab1/" temp2.gs > temp3.gs 
    sed "s/FNAME/"$prod"_"$lab"/" temp3.gs > "$prod"_ptts.gs   
    grads2 -lbc "$prod"_ptts.gs

    # BOX TIME SERIES
    sed "s/TST/$STDAY1/" base_"$prod"_bxts.gs > temp1.gs
    sed "s/TF/$ENDAY1/" temp1.gs > temp2.gs 
    sed "s/LAB/$lab1/" temp2.gs > temp3.gs 
    sed "s/FNAME/"$prod"_"$lab"/" temp3.gs > "$prod"_bxts.gs   
    grads2 -lbc "$prod"_bxts.gs 
  endif  
  
end 

#################################################################################################################
### freq (wky) = consecutiveness
#################################################################################################################
set type = "freq"

rm $INPUT/*.dat
foreach peri ( 01 02 03 04 05 06 07 08 09 10 11 12 )
  set ind = `expr $peri - 1`
  set STDAY1 = `date -d " $GDATE - 6 day - $ind week" "+%d%b%Y"`
  set ENDAY1 = `date -d " $GDATE - $ind week" "+%d%b%Y"`
#  if ( `echo $STDAY1 | cut -c1-5` == 29Feb ) then
#    set STDAY1 = `date -d "$STDAY1 + 1 day" "+%d%b%Y"`
#  endif  
#  if ( `echo $ENDAY1 | cut -c1-5` == 29Feb ) then
#    set ENDAY1 = `date -d "$ENDAY1 + 1 day" "+%d%b%Y"`
#  endif   
  echo $peri "::" $STDAY1-$ENDAY1    

  sed "s/T1/$STDAY1/" base_fqwky_writeout.gs > temp1.gs
  sed "s/T2/$ENDAY1/" temp1.gs > temp2.gs
  sed "s/FNAME.*/\'set fwrite -be period_$peri.dat\'/" temp2.gs > fqwky_writeout.gs  
  grads2 -lbc fqwky_writeout.gs   
end

ls period_*.dat > fqwkylist
$INPUT/fqwky.exe  

set lab = 90day

##################  Added Northern Africa Alima Diawara #################
foreach reg ( na af ea wa sa ca )  
    if ( $reg == na ) then
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=0; lat2=40/" base_"$prod"_"$type"2.gs > temp1.gs
    endif
    if ( $reg == ea ) then 
      sed "s/CORDS.*/lon1=25; lon2=52; lat1=-12; lat2=18/" base_"$prod"_"$type"2.gs > temp1.gs
    endif	
    if ( $reg == wa ) then 
      sed "s/CORDS.*/lon1=-20; lon2=30; lat1=0; lat2=40/" base_"$prod"_"$type"2.gs > temp1.gs
    endif 
    if ( $reg == sa ) then 
      sed "s/CORDS.*/lon1=10; lon2=55; lat1=-37; lat2=3/" base_"$prod"_"$type"2.gs > temp1.gs
    endif   
    if ( $reg == af ) then 
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=-40; lat2=40/" base_"$prod"_"$type"2.gs > temp1.gs
    endif   
    if ( $reg == ca ) then 
      sed "s/CORDS.*/lon1=0; lon2=35; lat1=-20; lat2=25/" base_"$prod"_"$type"2.gs > temp1.gs
    endif   
    sed "s/T1/$STDAY1/" temp1.gs > temp2.gs  
    sed "s/T2/$GDATE/" temp2.gs > temp3.gs    
    sed "s/TITLE2/$STDAY1 - $ENDAY1/" temp3.gs > temp4.gs  
    sed "s/FNAME1/"$prod"_"$lab"_"$reg"/g" temp4.gs > "$prod"_"$lab"_"$reg".gs 
    grads2 -pbc "$prod"_"$lab"_"$reg".gs  
end

#################################################################################################################
### freq (dly)
#################################################################################################################
foreach peri ( 30day 90day )
  set lab = `echo $peri`

  if ( $peri == 30day ) then
      set lab1 = "30-Day"  
      set STDAY1 = `date -d "$GDATE - 29 day" "+%d%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
      echo $lab "::" $STDAY1-$ENDAY1  
  endif 
  if ( $peri == 90day ) then
      set lab1 = "90-Day"  
      set STDAY1 = `date -d "$GDATE - 89 day" "+%d%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
      echo $lab "::" $STDAY1-$ENDAY1 
  endif 

  rm $INPUT/*.dat
  
  set STp = $STDAY1
  set ENp = $ENDAY1 
  set STy = `echo $STDAY1 | cut -c6-9`
  while ( $STy >= 1983 )  

    sed "s/PERIOD.*/\'set time $STp $ENp\'/" base_fqdly_writeout.gs > temp.gs 
    sed "s/FNAME.*/\'set fwrite -be period_$STy.dat\'/" temp.gs > fqdly_writeout.gs  
    grads2 -lbc fqdly_writeout.gs 

    set STp = `date -d "$STp - 1 year" "+%d%b%Y"`
    set ENp = `date -d "$ENp - 1 year" "+%d%b%Y"`
    @ STy = $STy - 1
  end

  ls period_*.dat > fqdlylist
  set nyr = `wc -l fqdlylist | cut -c1-2`
  set fs = `du -b period_1983.dat | cut -f1`
  set ndays = `calc  $fs / ( 751*801*4 ) | awk '{printf "%2d\n", $0}'`   
  echo $nyr $ndays > fqdlynum
  $INPUT/fqdly.exe   

##################  Added Northern Africa Alima Diawara #################
  foreach reg ( na af ea wa sa ca )  
    if ( $reg == na ) then
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=0; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif
    if ( $reg == ea ) then 
      sed "s/CORDS.*/lon1=25; lon2=52; lat1=-12; lat2=18/" base_"$prod"_"$type"1.gs > temp1.gs
    endif	
    if ( $reg == wa ) then 
      sed "s/CORDS.*/lon1=-20; lon2=30; lat1=0; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif 
    if ( $reg == sa ) then 
      sed "s/CORDS.*/lon1=10; lon2=55; lat1=-37; lat2=3/" base_"$prod"_"$type"1.gs > temp1.gs
    endif   
    if ( $reg == af ) then 
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=-40; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif     
    if ( $reg == ca ) then 
      sed "s/CORDS.*/lon1=0; lon2=35; lat1=-20; lat2=25/" base_"$prod"_"$type"1.gs > temp1.gs
    endif     
    sed "s/TITLE1/$lab1/" temp1.gs > temp2.gs    
    sed "s/TITLE2/$STDAY1 - $ENDAY1/" temp2.gs > temp3.gs 
    sed "s/T1/$STDAY1/" temp3.gs > temp4.gs   
    sed "s/T2/$ENDAY1/" temp4.gs > temp5.gs       
    sed "s/FNAME1/"$prod"_"$lab"_"$reg"/g" temp5.gs > "$prod"_"$lab"_"$reg".gs 
    grads2 -pbc "$prod"_"$lab"_"$reg".gs  
  end  
  
end



#################################################################################################################
### QUICK EYEBALL PRELIM VERIFICATION MAPS FOR WEEK1+2 OUTLOOK
#################################################################################################################
#set STDAY1 = `date -d "$GDATE - 6 day" "+%d%b%Y"`
#set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"` 

#sed "s/CORDS.*/lon1=-20; lon2=55; lat1=-40; lat2=40/" base_"$prod"_verif.gs > temp1.gs
#sed "s/T1/$STDAY1/" temp1.gs > temp2.gs
#sed "s/T2/$ENDAY1/" temp2.gs > temp3.gs
#sed "s/TITLE2/$STDAY1 - $ENDAY1/" temp3.gs > temp4.gs
#sed "s/FNAME1/"$prod"_7day_af/g" temp4.gs > "$prod"_verif.gs 
#grads2 -pbc "$prod"_verif.gs 



#################################################################################################################
### RMS TimeScales 2 (prod_rms)
#################################################################################################################
set type = "rms"
#foreach peri ( 30day 90day 180day )
foreach peri ( 30day 90day )
  set lab = `echo $peri`

  if ( $peri == 30day ) then
      set lab1 = "30-Day"  
      set STDAY1 = `date -d "$GDATE - 29 day" "+%d%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
      set STDAY2 = `date -d "$STDAY1 - 7 day" "+%d%b%Y"`
      set ENDAY2 = `date -d "$ENDAY1 - 7 day" "+%d%b%Y"` 
      echo $lab "::" $STDAY1-$ENDAY1  "     "   $STDAY2-$ENDAY2  
  endif 
  if ( $peri == 90day ) then
      set lab1 = "90-Day"  
      set STDAY1 = `date -d "$GDATE - 89 day" "+%d%b%Y"`
      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
      set STDAY2 = `date -d "$STDAY1 - 7 day" "+%d%b%Y"`
      set ENDAY2 = `date -d "$ENDAY1 - 7 day" "+%d%b%Y"` 
      echo $lab "::" $STDAY1-$ENDAY1  "     "   $STDAY2-$ENDAY2  
  endif 
#  if ( $peri == 180day ) then
#      set lab1 = "180-Day"  
#      set STDAY1 = `date -d "$GDATE - 179 day" "+%d%b%Y"`
#      set ENDAY1 = `date -d "$GDATE" "+%d%b%Y"`
#      set STDAY2 = `date -d "$STDAY1 - 7 day" "+%d%b%Y"`
#      set ENDAY2 = `date -d "$ENDAY1 - 7 day" "+%d%b%Y"` 
#      echo $lab "::" $STDAY1-$ENDAY1  "     "   $STDAY2-$ENDAY2  
#  endif 


# FOR PERC
  set STp = $STDAY1
  set ENp = $ENDAY1 
  set STy = `echo $STDAY1 | cut -c6-9`
  while ( $STy >= 1983 )  
    sed "s/PERIOD.*/\'define total = mean(r,time=$STp,time=$ENp)\'/" base_perc_writeout.gs > temp.gs  
    sed "s/FNAME.*/\'set fwrite period_$STy.dat\'/" temp.gs > perc_writeout.gs  
    grads2 -lbc perc_writeout.gs 
    set STp = `date -d "$STp - 1 year" "+%d%b%Y"`
    set ENp = `date -d "$ENp - 1 year" "+%d%b%Y"`
    @ STy = $STy - 1
  end
  ls period_*.dat > perclist
  set nyr = `wc -l perclist | cut -c1-2`
  echo $nyr > percnum
  $INPUT/get_percentile.exe 
  rm $INPUT/*.dat 

####################### Added the northern Africa Alima Diawara
  foreach reg ( na ea wa sa af ca )
    if ( $reg == na ) then
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=0; lat2=40/" base_"$prod"_"$type"2.gs > temp1.gs
    endif
    if ( $reg == ea ) then 
      sed "s/CORDS.*/lon1=25; lon2=52; lat1=-12; lat2=18/" base_"$prod"_"$type"2.gs > temp1.gs
    endif	
    if ( $reg == wa ) then 
      sed "s/CORDS.*/lon1=-20; lon2=30; lat1=0; lat2=40/" base_"$prod"_"$type"2.gs > temp1.gs
    endif 
    if ( $reg == sa ) then 
      sed "s/CORDS.*/lon1=10; lon2=55; lat1=-37; lat2=3/" base_"$prod"_"$type"2.gs > temp1.gs
    endif   
    if ( $reg == af ) then 
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=-40; lat2=40/" base_"$prod"_"$type"2.gs > temp1.gs
    endif  
    if ( $reg == ca ) then 
      sed "s/CORDS.*/lon1=0; lon2=35; lat1=-20; lat2=25/" base_"$prod"_"$type"2.gs > temp1.gs
    endif  
    sed "s/T1/$STDAY1/" temp1.gs > temp2.gs
    sed "s/T2/$ENDAY1/" temp2.gs > temp3.gs
    sed "s/TD1/$STDAY2/" temp3.gs > temp4.gs
    sed "s/TD2/$ENDAY2/" temp4.gs > temp5.gs  
    sed "s/TITLE1/$lab1/" temp5.gs > temp6.gs    
    sed "s/TITLE2/$STDAY1 - $ENDAY1/" temp6.gs > temp7.gs  
    sed "s/TITLE3/($STDAY1 - $ENDAY1) minus ($STDAY2 - $ENDAY2)/" temp7.gs > temp8.gs  
    sed "s/TITLE4/$STDAY2 - $ENDAY2/" temp8.gs > temp9.gs    
    sed "s/FNAME1/"$prod"_"$lab"_"$reg"/g" temp9.gs > "$prod"_"$lab"_"$reg".gs 
    grads2 -pbc "$prod"_"$lab"_"$reg".gs  
  end

  
  ### PREP FOR TIME SERIES
  rm $INPUT/acc_*
  set sdate = `date -d $STDAY1 "+%Y%m%d"`
  set fdate = `date -d $ENDAY1 "+%Y%m%d"`
  while ( $sdate <= $fdate) 
    set cdate = `date -d $sdate "+%m%d"`
    ls $TS_DLY/daily_clim.bin.$sdate >> acc_dlylist
    ls $TS_CLM/clim_dly.$cdate >> acc_clmlist    
    set sdate = `date -d "$sdate + 1 day" "+%Y%m%d"`
  end
  wc -l acc_clmlist | cut -d' ' -f1 > acc_ndays
  set ndays = `wc -l acc_clmlist | cut -d' ' -f1`
  $INPUT/acc.exe 
  sed "s/TS.*/TDEF $ndays LINEAR $STDAY1 1dy /" base_acc_dly.ctl > acc_dly.ctl  
  sed "s/TS.*/TDEF $ndays LINEAR $STDAY1 1dy /" base_acc_clm.ctl > acc_clm.ctl   


  # POINT TIME SERIES
  sed "s/TST/$STDAY1/" base_"$prod"_ptts.gs > temp1.gs
  sed "s/TF/$ENDAY1/" temp1.gs > temp2.gs 
  sed "s/LAB/$lab1/" temp2.gs > temp3.gs 
  sed "s/FNAME/"$prod"_"$lab"/" temp3.gs > "$prod"_ptts.gs   
  grads2 -lbc "$prod"_ptts.gs

  # BOX TIME SERIES
  sed "s/TST/$STDAY1/" base_"$prod"_bxts.gs > temp1.gs
  sed "s/TF/$ENDAY1/" temp1.gs > temp2.gs 
  sed "s/LAB/$lab1/" temp2.gs > temp3.gs 
  sed "s/FNAME/"$prod"_"$lab"/" temp3.gs > "$prod"_bxts.gs   
  grads2 -lbc "$prod"_bxts.gs 


end  


#################################################################################################################
### FIXED AFR SEASONS (Special Case)
#################################################################################################################
set type = "rms"
set YYYY1 = $YYYY
@ YYYY2 = $YYYY1 + 1 
foreach peri ( "01Feb$YYYY1-30Sep$YYYY1" "01Mar$YYYY1-31May$YYYY1" "01May$YYYY1-30Sep$YYYY1" "01Jun$YYYY1-30Sep$YYYY1" "01Oct$YYYY1-31Dec$YYYY1" "01Oct$YYYY1-31May$YYYY2" )
  set STDAY1 = `echo "$peri" | cut -c1-9`
  set ENDAY1 = `echo "$peri" | cut -c11-20`
  set lab = `echo $peri | cut -c3-5``echo "-"``echo $peri | cut -c13-15`  
  set st = `date -d "$STDAY1" "+%j"`  
  set en = `date -d "$ENDAY1" "+%j"` 
  set nw = `date -d "$DAY" "+%j"` 
  set st = `calc $st`
  set en = `calc $en`
  set nw = `calc $nw`    
  set sw = "off" 
  if ( $en < $st ) then 
    if (  $nw >= $st ) then
      set ENDAY1 = $GDATE
      set sw = "on"
    else
      set STDAY1 = `date -d "$STDAY1 - 1 year" "+%d%b%Y"`
      set ENDAY1 = `date -d "$ENDAY1 - 1 year" "+%d%b%Y"` 	
    endif
    if (  $nw <= $en ) then
      set ENDAY1 = $GDATE
      set sw = "on"
    endif
  else 
    if ( ( $nw >= $st ) && ( $nw <= $en) ) then
      set ENDAY1 = $GDATE
      set sw = "on"
    endif  
    if ( $nw < $st ) then 
      set STDAY1 = `date -d "$STDAY1 - 1 year" "+%d%b%Y"`
      set ENDAY1 = `date -d "$ENDAY1 - 1 year" "+%d%b%Y"` 
    endif 
  endif

  echo $STDAY1 $ENDAY1 $lab

##################  Added Alima
    if ( $lab == "May-Sep" ) then
      set reg = "na"
      sed "s/CORDS.*/lon1=-20; lon2=55; lat1=0; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif
    if ( ($lab == "Feb-Sep") || ($lab == "Mar-May") || ($lab == "Jun-Sep")  || ($lab == "Oct-Dec") ) then 
      set reg = "ea"
      sed "s/CORDS.*/lon1=25; lon2=52; lat1=-12; lat2=18/" base_"$prod"_"$type"1.gs > temp1.gs
    endif	
    if ( $lab == "May-Sep" ) then 
      set reg = "wa"    
      sed "s/CORDS.*/lon1=-20; lon2=30; lat1=0; lat2=40/" base_"$prod"_"$type"1.gs > temp1.gs
    endif 
    if ( $lab == "Oct-May" ) then 
      set reg = "sa"    
      sed "s/CORDS.*/lon1=10; lon2=55; lat1=-37; lat2=3/" base_"$prod"_"$type"1.gs > temp1.gs
    endif   
 
    sed "s/T1/$STDAY1/" temp1.gs > temp2.gs
    sed "s/T2/$ENDAY1/" temp2.gs > temp3.gs
    sed "s/TITLE1/$lab/" temp3.gs > temp4.gs    
    sed "s/TITLE2/$STDAY1 - $ENDAY1/" temp4.gs > temp5.gs  
    sed "s/FNAME1/"$prod"_"$lab"_"$reg"/g" temp5.gs > "$prod"_"$lab"_"$reg".gs 
    grads2 -pbc "$prod"_"$lab"_"$reg".gs  

    ### FOR ARCHIVING (monthly/seasonal (rms) products ONLY) 
    if ( `echo $lab | awk '{print index($0,"-")}'` > 0 ) then
      foreach anal ( obs clim anom pnorm ) 
        set AST = `echo $STDAY1 | cut -c3-9`
        #set AEN = `echo $ENDAY1 | cut -c3-9`
        set AEN = `echo $peri | cut -c13-15``echo $ENDAY1 | cut -c6-9`		
        cp "$prod"_"$lab"_"$reg"_"$anal".gif "$prod"_"$AST"-"$AEN"_"$reg"_"$anal".gif
    	end  
    endif	
  
end  




 
cp $INPUT/*.gif $OUTPUT/img
cp $INPUT/*.png $OUTPUT/img
cp $INPUT/*.jpg $OUTPUT/img
#############################################################
### MONITOR RFE DATA FOR DAY
#############################################################
#set recips = " steven.fuhrman@noaa.gov alima.diawara@noaa.gov"
set recips = "vadlamani.kumar@noaa.gov alima.diawara@noaa.gov"
if ( ! -e $INPUT/monitor_error.txt  ) then
  mutt -s "Africa ARC Prods on $DAY are OK" $recips < $LOG/good.txt
else
  mutt -s "Africa ARC Prods on $DAY are BAD" $recips < $INPUT/monitor_error.txt
  cp $INPUT/monitor_error.txt $LOG/monitor_error.txt  
endif


######################################################################################################
### POST RFE DATA TO FTP
######################################################################################################
scp $OUTPUT/img/* vkumar@cpcrzdm:/home/www/cpc/htdocs/products/international/$prod

