#!/bin/csh
######################################################################################################


######################################################################################################
### 1) SET LOCATIONS
######################################################################################################
set INPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/input" 
set OUTPUT = "/cpc/prod_tst/vkumar/africa_arc_RH6/output/inp" 
set LOG = "/cpc/prod_tst/vkumar/africa_arc_RH6/log" 
cd $OUTPUT

######################################################################################################
### 2) SET DATE INDICES
######################################################################################################
set DAY = `sed -n '3p' $INPUT/timecheck.txt | cut -c35-42`

######################################################################################################
### 3) MONITOR
######################################################################################################

set recips = "  alima.diawara@noaa.gov"

# BASED on 3 conditions to pass:
# 1) Is file present ?
# 2) If 1=yes, is it undersized ?
# 3) If 1=yes, 2=no, is it different from yesterday ?

set pDAY = `date -d "-1 day $DAY" "+%Y%m%d"`
rm $LOG/monitor*
foreach mfile ( qzfl_$DAY.dat africa_fc_235.gra.$DAY africa_fc_275.gra.$DAY  )
  cd $OUTPUT
  
  echo " "
  echo "Monitoring Quality of :::" $mfile
  echo " "  
  echo $mfile > $LOG/monitored_filename
  set mpfile = `sed "s/$DAY/$pDAY/" $LOG/monitored_filename`
  if ( ! -e $mpfile ) then
    cp dummy.dat $mpfile
  endif  
   
  cp $mfile   $LOG
  cp $mpfile  $LOG
  cd $LOG  
### 1
  if ( ! -e $mfile ) then
      echo "$mfile does not exist" >> $LOG/monitor_error.txt  
  endif
### 2  
  gzip $mfile
  set fs = `du -b $mfile.gz | cut -f1`  
  if ( (-e $mfile) && ($fs < 150000) ) then
      echo "$mfile is undersized" >> $LOG/monitor_error.txt  
  endif
  gunzip $mfile.gz  
### 3
  diff -sq $mfile $mpfile > $LOG/monitored_stat
  set fst = `grep -o "differ" $LOG/monitored_stat`
  set fst = "$fst"x
  if ( (-e $mfile) && ($fs >= 150000) && ($fst == "x") ) then
      echo "$mfile is the same as yesterday" >> $LOG/monitor_error.txt  
  endif
  
  rm $LOG/$mfile $LOG/$mpfile  
end


### NOTIFY
  if ( -e $LOG/monitor_error.txt  ) then
   mutt -s "Africa ARC Inputs on $DAY are BAD" $recips < $LOG/monitor_error.txt
  else
   mutt -s "Africa ARC Inputs on $DAY are OK" $recips < $LOG/good.txt    
  endif  
  
cd $OUTPUT
 



